| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__Endpoint Class Reference
Endpoint

Endpoint data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | Name
| Endpoint Name. More...
xsd__string | IpAddress
| Character string with the IP Address of the endpoint. More...
xsd__string | AltIpAddress
| Optional secondary IP address of the endpoint. More...
xsd__string | RasIpAddress
| Branch Type. More...
xsd__string | RegisterProcess
| Register Process Name. More...
xsd__int | Port
| The signaling address of the endpoint. More...
xsd__int | AltPort
| Optional secondary IP address of the endpoint. More...
xsd__int | RasPort
| Maximum Branch Users. More...
xsd__string | ManagementIpAddress
| Separate address for the endpoint allowing its management using a different IP address for its configuration than the signaling address (IpAddress field).If this field is not configured, the IpAddress of the endpoint is used as the management Ip address as well. More...
enum unsp__EndpointType | EndpointType
| The type of the endpoint. More...
xsd__short | Registration
| An integer that represents bitwise assignments of five attributes: More...
xsd__double | TimeToLive
| Expiration time for the endpoint (if dynamic). More...
enum unsp__AccountAuth | AccountAuth
| Account authorization. More...
xsd__string | ProfileName
| Endpoint Profile. More...
xsd__int | Sessions
| Maximum number of sessions allowed for the endpoint. More...
enum unsp__TransportType | Transport
| The transport protocol for a SIP endpoint. More...
struct unsp__EndpointAttributes | Attributes
| A list of boolean attributes of the endpoint. More...
xsd__string | AddressOfRecord
| The address used by SIP at registration of the endpoint. More...
enum unsp__EpFailover | ServerFailover
| Indicates whether network server failover is enabled for this endpoint. More...
xsd__int | ConnectionId
| Connection Id. More...
enum unsp__KeysetUse | KeysetUse
| Indicates whether the subscriber endpoint is associated with a keyset device, either as a primary or phantom line. More...
xsd__string | CountryCode
| Country Code of the endpoint. More...
xsd__string | AssociatedEndpointName
| Associated endpoint. More...
xsd__string | IvtgNameDomain
| Ivtg Name Domain. More...
xsd__int * | MaxOriginatingSessionLimit
| Max Originating Session Limit. More...
xsd__int * | MaxTerminatingSessionLimit
| Max Terminating Session Limit. More...
xsd__string | LooseRoutingURI
| Loose Routing URI. More...
enum unsp__SrtpSupport * | SrtpSupport
| "Best-Effort SRTP" attribute to determine whether to include the SRTP media in the SDP offer or not. More...
enum unsp__SrtpSupport * | SdesSrtpSupport
| "Best-Effort SRTP with SDES" attribute to determine whether to include the SRTP media in the SDP offer or not. More...
enum unsp__DnsSrv * | DnsSrv
| The type of the DnsSRV. More...
enum unsp__OperationalState * | OperationalState
| Operational State. More...
xsd__string | DefaultHomeDn
| Default Home Dn. More...
xsd__string | EndpointLocationName
| Endpoint location. More...
xsd__string | EndpointLocationCode
| Endpoint Location Code. More...
enum unsp__EndpointNNIType * | EndpointNNIType
| The type of NNI endpoint. More...
xsd__string | EndpointProviderName
| The name of the Endpoint Provider. More...
xsd__string | EndpointLocationDomain
| Endpoint Location Domain. More...
enum unsp__Anat * | AnatSupport
| Indicates whether the endpoint supports ANAT. More...
xsd__string | LastUpdate
| Last Update datetime. More...
xsd__int * | CSTADeviceId
| CSTA Device Id. More...
xsd__int * | OutgoingCallSupervisionTimer
| Supervises the time between sending an INVITE request and receiving a provisional (non-100 Trying) or final response from the endpoint. More...
xsd__int * | ProxyBypassSupervisionTimer
| Supervises the time between sending an INVITE request to a SIP proxy and receiving a provisional (incl. More...
enum unsp__ICESupport * | ICESupport
| Indicates whether the endpoint supports ICE . More...
xsd__boolean * | RedSkyE911Manager
| Is Endpoint a Red Sky manager required: false default value[range]: false. More...
enum unsp__DTLSSupport * | DTLSSupport
| Indicates whether the endpoint supports DTLS. More...
enum unsp__SipUAForkingSupport * | SipUAForkingSupport
| Indicates the SIP UA Forking Support mechanism used. More...
enum unsp__SrtpMode * | SrtpMode
| Indicates the SRTP mode used. More...
xsd__string | AssociatedSubscriberDn
| Associated Subscriber DN. More...

## Detailed Description

Endpoint data.

## Member Data Documentation

## ◆ AccountAuth

enum unsp__AccountAuth unsp__Endpoint::AccountAuth

Account authorization.

AccountAuthBasedOnSub applies only to subscriber type endpoints.
default value[range]: AccountAuthUnused

## ◆ AddressOfRecord

xsd__string unsp__Endpoint::AddressOfRecord

The address used by SIP at registration of the endpoint.

default value[range]: NA [1..63]

## ◆ AltIpAddress

xsd__string unsp__Endpoint::AltIpAddress

Optional secondary IP address of the endpoint.

default value[range]: NA [1..255]

## ◆ AltPort

xsd__int unsp__Endpoint::AltPort

Optional secondary IP address of the endpoint.

default value[range]: 0

## ◆ AnatSupport

enum unsp__Anat* unsp__Endpoint::AnatSupport

Indicates whether the endpoint supports ANAT.

default value[range]: AnatUnassigned

## ◆ AssociatedEndpointName

xsd__string unsp__Endpoint::AssociatedEndpointName

Associated endpoint.

See also
  unsp__EndpointName

## ◆ AssociatedSubscriberDn

xsd__string unsp__Endpoint::AssociatedSubscriberDn

Associated Subscriber DN.

default value[range]: [1..15]

## ◆ Attributes

struct unsp__EndpointAttributes unsp__Endpoint::Attributes

A list of boolean attributes of the endpoint.

## ◆ ConnectionId

xsd__int unsp__Endpoint::ConnectionId

Connection Id.

default value[range]:

## ◆ CountryCode

xsd__string unsp__Endpoint::CountryCode

Country Code of the endpoint.

default value[range]: NA [1..7]

## ◆ CSTADeviceId

xsd__int* unsp__Endpoint::CSTADeviceId

CSTA Device Id.

default value[range]: NA

## ◆ DefaultHomeDn

xsd__string unsp__Endpoint::DefaultHomeDn

Default Home Dn.

default value[range]: [1..15]

## ◆ DnsSrv

enum unsp__DnsSrv* unsp__Endpoint::DnsSrv

The type of the DnsSRV.

default value[range]:

## ◆ DTLSSupport

enum unsp__DTLSSupport* unsp__Endpoint::DTLSSupport

Indicates whether the endpoint supports DTLS.

default value[range]:

## ◆ EndpointLocationCode

xsd__string unsp__Endpoint::EndpointLocationCode

Endpoint Location Code.

See also
  unsp__EndpointLocationCode

## ◆ EndpointLocationDomain

xsd__string unsp__Endpoint::EndpointLocationDomain

Endpoint Location Domain.

default value[range]: NA

## ◆ EndpointLocationName

xsd__string unsp__Endpoint::EndpointLocationName

Endpoint location.

See also
  unsp__EndpointLocationName

## ◆ EndpointNNIType

enum unsp__EndpointNNIType* unsp__Endpoint::EndpointNNIType

The type of NNI endpoint.

default value[range]: NNITypeUnassigned

## ◆ EndpointProviderName

xsd__string unsp__Endpoint::EndpointProviderName

The name of the Endpoint Provider.

See also
  unsp__EndpointProviderName

## ◆ EndpointType

enum unsp__EndpointType unsp__Endpoint::EndpointType

The type of the endpoint.

default value[range]: EtUnassigned

## ◆ ICESupport

enum unsp__ICESupport* unsp__Endpoint::ICESupport

Indicates whether the endpoint supports ICE .

default value[range]:

## ◆ IpAddress

xsd__string unsp__Endpoint::IpAddress

Character string with the IP Address of the endpoint.

default value[range]: NA [1..255]

## ◆ IvtgNameDomain

xsd__string unsp__Endpoint::IvtgNameDomain

Ivtg Name Domain.

default value[range]: NA [1..127]

## ◆ KeysetUse

enum unsp__KeysetUse unsp__Endpoint::KeysetUse

Indicates whether the subscriber endpoint is associated with a keyset device, either as a primary or phantom line.

default value[range]:

## ◆ LastUpdate

xsd__string unsp__Endpoint::LastUpdate

Last Update datetime.

default value[range]: NA

## ◆ LooseRoutingURI

xsd__string unsp__Endpoint::LooseRoutingURI

Loose Routing URI.

default value[range]: NA [1..259]

## ◆ ManagementIpAddress

xsd__string unsp__Endpoint::ManagementIpAddress

Separate address for the endpoint allowing its management using a different IP address for its configuration than the signaling address (IpAddress field).If this field is not configured, the IpAddress of the endpoint is used as the management Ip address as well.

default value[range]: NA [1..255]

## ◆ MaxOriginatingSessionLimit

xsd__int* unsp__Endpoint::MaxOriginatingSessionLimit

Max Originating Session Limit.

default value[range]:

## ◆ MaxTerminatingSessionLimit

xsd__int* unsp__Endpoint::MaxTerminatingSessionLimit

Max Terminating Session Limit.

default value[range]:

## ◆ Name

xsd__string unsp__Endpoint::Name

Endpoint Name.

See also
  unsp__EndpointName

## ◆ OperationalState

enum unsp__OperationalState* unsp__Endpoint::OperationalState

Operational State.

default value[range]:

## ◆ OutgoingCallSupervisionTimer

xsd__int* unsp__Endpoint::OutgoingCallSupervisionTimer

Supervises the time between sending an INVITE request and receiving a provisional (non-100 Trying) or final response from the endpoint.

default value[range]: 0 [0, 500-64000]

## ◆ Port

xsd__int unsp__Endpoint::Port

The signaling address of the endpoint.

default value[range]: 0

## ◆ ProfileName

xsd__string unsp__Endpoint::ProfileName

Endpoint Profile.

default value[range]: NA [1..15]

## ◆ ProxyBypassSupervisionTimer

xsd__int* unsp__Endpoint::ProxyBypassSupervisionTimer

Supervises the time between sending an INVITE request to a SIP proxy and receiving a provisional (incl.

100 Trying) or final response from the endpoint. This applies only to SIP proxies for which the Route Via Proxy and the Proxy Bypass Allowed endpoint attributes are set.
default value[range]: 0 [0, 500-32000]

## ◆ RasIpAddress

xsd__string unsp__Endpoint::RasIpAddress

Branch Type.

default value[range]: NA [1..255]

## ◆ RasPort

xsd__int unsp__Endpoint::RasPort

Maximum Branch Users.

default value[range]: 0

## ◆ RedSkyE911Manager

xsd__boolean* unsp__Endpoint::RedSkyE911Manager

Is Endpoint a Red Sky manager
required: false
default value[range]: false.

## ◆ RegisterProcess

xsd__string unsp__Endpoint::RegisterProcess

Register Process Name.

default value[range]: NA

## ◆ Registration

xsd__short unsp__Endpoint::Registration

An integer that represents bitwise assignments of five attributes:

- Operational state of the endpoint (highest 2 bits): UNNASIGNED, ACTIVE, BLOCKED_NEW, BLOCKED_ALL
- Administrative state of the dynamic endpoint (next 2 bits): UNNASIGNED, ACTIVE, BLOCKED_NEW, BLOCKED_ALL
- Authentication pre-granted: indicates whether authentication is pregranted for a dynamic endpoint (next 3 bits): UNNASIGNED, NEITHER_SIDE, A_SIDE, B_SIDE, BOTH_SIDES
- RRQ state: indicates whether a dynamic endpoint is (URQ, RRQ) (next 2 bits): UNNASIGNED, UNREGISTERED, REGISTERED
- RRQ type: indicates whether the endpoint is static or dynamic (lowest 2 bits): UNNASIGNED, STATIC, DYNAMIC_PORT (static IP), DYNAMIC.

default value[range]: 0

## ◆ SdesSrtpSupport

enum unsp__SrtpSupport* unsp__Endpoint::SdesSrtpSupport

"Best-Effort SRTP with SDES" attribute to determine whether to include the SRTP media in the SDP offer or not.

default value[range]:

## ◆ ServerFailover

enum unsp__EpFailover unsp__Endpoint::ServerFailover

Indicates whether network server failover is enabled for this endpoint.

default value[range]:

## ◆ Sessions

xsd__int unsp__Endpoint::Sessions

Maximum number of sessions allowed for the endpoint.

Represents the number of messaging sessions, not the number of voice (audio) sessions.
default value[range]: -1

## ◆ SipUAForkingSupport

enum unsp__SipUAForkingSupport* unsp__Endpoint::SipUAForkingSupport

Indicates the SIP UA Forking Support mechanism used.

required: false

## ◆ SrtpMode

enum unsp__SrtpMode* unsp__Endpoint::SrtpMode

Indicates the SRTP mode used.

required: false
default value[range]: SrtpModeAuto

## ◆ SrtpSupport

enum unsp__SrtpSupport* unsp__Endpoint::SrtpSupport

"Best-Effort SRTP" attribute to determine whether to include the SRTP media in the SDP offer or not.

default value[range]:

## ◆ TimeToLive

xsd__double unsp__Endpoint::TimeToLive

Expiration time for the endpoint (if dynamic).

default value[range]: 0

## ◆ Transport

enum unsp__TransportType unsp__Endpoint::Transport

The transport protocol for a SIP endpoint.

default value[range]:

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h